Create Affiliate Tracking Domain
curl --request POST \
--url https://api.eflow.team/v1/networks/affiliates/{affiliateId}/trackingdomains \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"network_affiliate_id": 7,
"network_tracking_domain_id": 1,
"is_apply_all_offers": false,
"network_offer_ids": [
1,
25
]
}
'import requests
url = "https://api.eflow.team/v1/networks/affiliates/{affiliateId}/trackingdomains"
payload = {
"network_affiliate_id": 7,
"network_tracking_domain_id": 1,
"is_apply_all_offers": False,
"network_offer_ids": [1, 25]
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
network_affiliate_id: 7,
network_tracking_domain_id: 1,
is_apply_all_offers: false,
network_offer_ids: [1, 25]
})
};
fetch('https://api.eflow.team/v1/networks/affiliates/{affiliateId}/trackingdomains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tracking_domains": [
{
"network_affiliate_tracking_domain_id": 4,
"network_id": 1,
"network_affiliate_id": 7,
"network_tracking_domain_id": 1,
"is_apply_all_offers": false,
"network_offer_id": 1,
"relationship": {
"affiliate": {
"network_affiliate_id": 7,
"network_id": 1,
"name": "Partner A",
"account_status": "active",
"network_traffic_source_id": 0
},
"tracking_domain": {
"network_tracking_domain_id": 1,
"network_id": 1,
"url": "www.testtracking.com",
"is_primary_domain": true,
"domain_status": "active",
"is_unassignable": false,
"ownership": "internal",
"is_ssl_enabled": false,
"html_static_redirect": "",
"url_redirect": "",
"public_notes": "",
"time_created": 1774296114,
"time_saved": 1774296114
},
"offer": {
"network_offer_id": 1,
"network_id": 1,
"network_advertiser_id": 13,
"network_offer_group_id": 0,
"name": "Auto Game",
"offer_status": "active",
"network_tracking_domain_id": 1,
"visibility": "public",
"currency_id": "USD"
}
}
},
{
"network_affiliate_tracking_domain_id": 5,
"network_id": 1,
"network_affiliate_id": 7,
"network_tracking_domain_id": 1,
"is_apply_all_offers": false,
"network_offer_id": 25,
"relationship": {
"affiliate": {
"network_affiliate_id": 7,
"network_id": 1,
"name": "Partner A",
"account_status": "active",
"network_traffic_source_id": 0
},
"tracking_domain": {
"network_tracking_domain_id": 1,
"network_id": 1,
"url": "www.testtracking.com",
"is_primary_domain": true,
"domain_status": "active",
"is_unassignable": false,
"ownership": "internal",
"is_ssl_enabled": false,
"html_static_redirect": "",
"url_redirect": "",
"public_notes": "",
"time_created": 1774296114,
"time_saved": 1774296114
},
"offer": {
"network_offer_id": 25,
"network_id": 1,
"network_advertiser_id": 13,
"network_offer_group_id": 0,
"name": "Travel Daily",
"offer_status": "active",
"network_tracking_domain_id": 1,
"visibility": "private",
"currency_id": "USD"
}
}
}
]
}Affiliate Tracking Domains
Create Affiliate Tracking Domain
POST
/
networks
/
affiliates
/
{affiliateId}
/
trackingdomains
Create Affiliate Tracking Domain
Assign a tracking domain to an affiliate. You can apply the domain to all offers or specify individual offer IDs.
Note: If
is_apply_all_offers is set to true but network_offer_ids contains offer IDs, the backend will override is_apply_all_offers to false and create one assignment per offer ID.Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The unique affiliate ID.
Body
application/json
The affiliate ID.
The tracking domain ID to assign.
Whether to apply this tracking domain to all offers.
List of offer IDs to apply this tracking domain to.
Response
200 - application/json
List of created affiliate tracking domain assignments.
Show child attributes
Show child attributes
Was this page helpful?
⌘I
